Markets
Recent trades on a market
Newest first. By default served from the in-memory cache, which holds the most recent fills and is fast. Pass source=clickhouse for historical depth beyond the cache, at higher latency.
GET
/
v1
/
markets
/
{address}
/
trades
Recent trades on a market
curl --request GET \
--url https://api.archer.exchange/v1/markets/{address}/trades \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.archer.exchange/v1/markets/{address}/trades"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.archer.exchange/v1/markets/{address}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archer.exchange/v1/markets/{address}/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archer.exchange/v1/markets/{address}/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archer.exchange/v1/markets/{address}/trades")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archer.exchange/v1/markets/{address}/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"trades": [
{
"execInputSize": "<string>",
"execOutputSize": "<string>",
"fee": "<string>",
"id": "<string>",
"inputMint": "<string>",
"market": "<string>",
"outputMint": "<string>",
"side": "buy",
"slot": 123,
"timestamp": 123,
"tradeType": "sync",
"txSignature": "<string>",
"userWallet": "<string>",
"builderFeeAtoms": "<string>",
"builderFeeWallet": "<string>"
}
]
}{
"error": "INVALID_PARAMS",
"message": "Invalid market address: xyz"
}{
"error": "MARKET_NOT_FOUND",
"message": "Market not found: 5Ggx...abc"
}{
"error": "RATE_LIMITED",
"message": "Too many requests. Please slow down."
}{
"error": "INTERNAL_ERROR",
"message": "Internal error: ..."
}Authorizations
Path Parameters
Market address.
Query Parameters
Maximum trades. Clamped to 200.
Where to read from.
Available options:
cache, clickhouse Filter by fill kind. Note: snake_case.
Available options:
sync, limit Response
Trades, newest first.
A page of fills, newest first.
Show child attributes
Show child attributes
Recent trades on a market
curl --request GET \
--url https://api.archer.exchange/v1/markets/{address}/trades \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.archer.exchange/v1/markets/{address}/trades"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.archer.exchange/v1/markets/{address}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archer.exchange/v1/markets/{address}/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archer.exchange/v1/markets/{address}/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archer.exchange/v1/markets/{address}/trades")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archer.exchange/v1/markets/{address}/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"trades": [
{
"execInputSize": "<string>",
"execOutputSize": "<string>",
"fee": "<string>",
"id": "<string>",
"inputMint": "<string>",
"market": "<string>",
"outputMint": "<string>",
"side": "buy",
"slot": 123,
"timestamp": 123,
"tradeType": "sync",
"txSignature": "<string>",
"userWallet": "<string>",
"builderFeeAtoms": "<string>",
"builderFeeWallet": "<string>"
}
]
}{
"error": "INVALID_PARAMS",
"message": "Invalid market address: xyz"
}{
"error": "MARKET_NOT_FOUND",
"message": "Market not found: 5Ggx...abc"
}{
"error": "RATE_LIMITED",
"message": "Too many requests. Please slow down."
}{
"error": "INTERNAL_ERROR",
"message": "Internal error: ..."
}